%global goipath         github.com/tdewolff/parse
Version:                2.4.2

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go parsers for web formats
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/tdewolff/test) >= 1.0.6

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgesetup

# Use unversioned import path until Go modules are supported in Fedora
sed -i -e 's|"github.com/tdewolff/parse/v2|"github.com/tdewolff/parse|' $(find . -name '*.go')


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE.md

%changelog
* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.2-1
- Update to latest version

* Wed Jan 01 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.1-1
- Update to latest version

* Sat Nov 30 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.0-1
- Update to latest version

* Tue Nov 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.13-1
- Update to latest version

* Mon Nov 25 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.12-1
- Update to latest version

* Thu Nov 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.11-1
- Update to latest version

* Thu Nov 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.10-1
- Update to latest version

* Fri Aug 30 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.9-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-1
- Update to latest version

* Fri May 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.7-1
- Update to latest version

* Mon Apr 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.6-1
- Update to latest version

* Sat Mar 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.5-2
- Use unversioned import path until Go modules are supported in Fedora

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.5-1
- First package for Fedora
